## pyxdg 0.28

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyXDG.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyXDG.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyXDG"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyXDG"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyxdg 0.18

=== debian/changelog ===
pyxdg (0.18-1ubuntu2) lucid; urgency=low

  * Add debian/patches/series, so that gettext-support.patch actually gets
    applied. (LP: #512211)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Feb 2010 14:24:32 +0100

pyxdg (0.18-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes (LP: #509393):
    - gettext-support.patch: Support X-GNOME-Gettext-Domain and
      X-Ubuntu-Gettext-Domain fields in .desktop files, for dynamic
      translation support (corresponding to our glib change).

 -- Artur Rona <ari-tczew@tlen.pl>  Tue, 19 Jan 2010 00:32:35 +0100

pyxdg (0.18-1) unstable; urgency=low
  
  * debian/control:
    + New maintainer: Debian Python Modules Team.
    + Add myself to Uploaders.
    + Add Vcs-{Svn,Browser} fields.
  * Acknowledge previous NMUs.
  * New upstream version (closes: #502233).
  * Remove debian/patches/* (applied upstream).
  * Switch to new source format: 3.0 (quilt).
  * Switch to debhelper (>= 7):
    + debian/compat: bump to 7.
    + debian/rules: minimize.
    + debian/control: minimize Build-Depends.
    + debian/docs: add AUTHORS, README and TODO.
    + debian/examples: rename debian/python-xdg.examples.
  * Remove debian/pycompat. 

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Thu, 10 Dec 2009 14:26:22 +0000

pyxdg (0.17-0.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes (LP: #497538):
    - gettext-support.patch: Support X-GNOME-Gettext-Domain and
      X-Ubuntu-Gettext-Domain fields in .desktop files, for dynamic
      translation support (corresponding to our glib change).
  * debian/patches/fix-reversed-definition.patch:
    - Removed, fixed upstream

 -- Artur Rona <ari-tczew@tlen.pl>  Wed, 16 Dec 2009 21:37:53 +0100

pyxdg (0.17-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (closes: #508885).
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Add patch fixing README from Jakub Wilk (closes: #535840).
  * Add patch fixing menu filename handling (closes: #407747).
  * debian/control:
    + Remove XB-Python-Version field.
    + Remove ${shlibs:Depends}.
    + Add Homepage field (closes: #542474).
    + s/python/Python/ in description (closes: #542471).
    + Add new supported specifications in description.
  * debian/copyright:
    + Add copyright notice.
    + Point to LGPL-2.
  * debian/rules:
    + Fix encoding (ISO-8859-1 to UTF-8).
  * Add debian/watch.

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Wed, 23 Sep 2009 13:01:50 +0200

pyxdg (0.15-1.1ubuntu5) jaunty; urgency=low

  * gettext-support.patch: Update to corresponding changes in glib:
    - Prefer inline translations over gettext ones.
    - Prefer X-GNOME-Gettext-Domain over X-Ubuntu-Gettext-Domain.
    - LP: #3697

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 19:24:18 +0100

pyxdg (0.15-1.1ubuntu4) intrepid; urgency=low

  * debian/patches/gettext-support.patch:
    - fix return for empty keys (LP: #286363)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2008 16:48:30 +0200

pyxdg (0.15-1.1ubuntu3) hardy; urgency=low

  * Fix interpreter paths. LP: #187000.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Apr 2008 17:25:05 +0000

pyxdg (0.15-1.1ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  9 Mar 2007 11:58:06 +0000

pyxdg (0.15-1.1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * debian/control: Build-Depend on python (>= 2.4.3-5ubuntu1) to ensure that
    we have a properly working pyversions script.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  5 Jul 2006 12:32:04 +0200

pyxdg (0.15-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Update Standards-Version to 3.7.2. No changes needed.
  * New Python policy changes. Closes: #373373.
    + debian/rules:
      -	Add DEB_PYTHON_SYSTEM=pysupport.
    + debian/control:
      - Add XB-Python-Version field.
      - Update Build-Depends.
      - Add patchutils in Build-Depends.
    + Add debian/pycompat and debian/pyversions.
  * Update FSF address in debian/copyright.

 -- Arnaud Fontaine <arnaud@andesi.org>  Fri, 30 Jun 2006 21:12:19 +0200

pyxdg (0.15-1ubuntu5) dapper; urgency=low

  * debian/patches/gettext-support.patch: Fix fallback to translation in
    .desktop file if gettext doesn't return a translation. Closes: LP#40132

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 May 2006 14:29:44 +0200

pyxdg (0.15-1ubuntu4) dapper; urgency=low

  * Add debian/patches/gettext-support.patch: Apply forgotten patch from
    Zygmunt Krynicki to get language pack support for .desktop files also in
    gnome-app-install. Closes: LP#3697

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 28 Apr 2006 12:02:45 +0200

pyxdg (0.15-1ubuntu3) dapper; urgency=low

  * debian/patches/ignore-unicore-error.patch:
    - fix "smeg won't start at all!" (Malone: #25699), thanks
      Travis Watkins <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 20 Mar 2006 21:26:04 +0100

pyxdg (0.15-1ubuntu2) dapper; urgency=low

  * debian/patches/ignore-ioerror.patch:
    - fix "Failed start when no read permission of desktop file" (Malone:
      #32762), thanks Travis Watkins <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 20 Mar 2006 20:17:40 +0100

pyxdg (0.15-1ubuntu1) dapper; urgency=low

  * Sync with Debian.
  * debian/patches/fix-reversed-definition.patch:
    - not required.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 10 Nov 2005 21:31:54 +0100

pyxdg (0.15-1) unstable; urgency=low

  * New upstream version (Closes: #336537).
  * debian/control:
    - updated the Standards-Version.
  * debian/patches/fix-error-handling.patch:
    - patch from the CVS.
  * debian/patches/fix-reversed-definition.patch:
    - define reversed function which is python2.4 specific,


=== debian/control ===
Source: pyxdg
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Lewandowski <piotr.lewandowski@gmail.com>
Build-Depends: debhelper (>= 7), python-support
Standards-Version: 3.8.3
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/pyxdg/trunk/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/pyxdg/trunk/
Homepage: http://www.freedesktop.org/wiki/Software/pyxdg

Package: python-xdg
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 0.9.4
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13

## pyxdg 0.19

=== debian/changelog ===
pyxdg (0.19-2) unstable; urgency=low

  * Fix case when $XDG_*_HOME is empty (fix-BaseDirectory-cornercase.patch)
    (closes: #568757). Kudos to Éric Araujo!
  * Fix xdg.Mime.install_mime_info() exception (fix-583497.patch)
    (closes: #583497). Thanks Jakub Wilk!
  * Replace string exceptions in Mime.py (fix-string-exceptions.patch)
    (closes: #585340). Thanks Sandro Tosi!

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Wed, 23 Jun 2010 16:55:31 +0200

pyxdg (0.19-1) unstable; urgency=low

  * New upstream version:
    + DesktopEntry: handle unknown extensions (closes: #551297).
    + DesktopEntry: support Desktop Entry Specification 1.0 (closes: #563660).
    + IniFile: fix __init__ method (closes: #562951).
    + Mime: fix get_type_by_data method (closes: #563718).
  * debian/control:
    + Update long description (see #563660).
    + Fix Vcs-{Svn,Browser} fields.
    + Bump Standards-Version to 3.8.4 (no changes needed).
  * debian/copyright: s/2009/2010/
  * debian/patches:
    + Fix DesktopEntry.py docstring (fix-DesktopEntry-docstring.patch).
    + Fix URLs in README (fix-README.patch).
    + Add docstring to IniFile.parse() (add-IniFile-parse-docstring.patch)
      (closes: #562952).

 -- Piotr Lewandowski <piotr.lewandowski@gmail.com>  Thu, 04 Feb 2010 11:11:13 +0000

=== debian/control ===
Source: pyxdg
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Lewandowski <piotr.lewandowski@gmail.com>
Build-Depends: debhelper (>= 7), python-support
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyxdg/trunk/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyxdg/trunk/
Homepage: http://www.freedesktop.org/wiki/Software/pyxdg

Package: python-xdg
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13

=== debian/watch ===
version=3

http://people.freedesktop.org/~lanius/pyxdg-([0-9.]+).tar.gz

## pyxdg 0.20

=== debian/changelog ===
pyxdg (0.20-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control:
    + Add python3-xdg stanza.
    + Updated Build-Depends for Python 3.
    + Build-Depend on debhelper >= 9.
    + Added X-Python-Version and X-Python3-Version headers.
  * debian/rules: Build for Python 3.  (LP: #823150)
  * debian/python-xdg.install, python3-xdg.install: Added.
  * Patches applied upstream and removed here:
    + add-IniFile-parse-docstring.patch
    + fix-583497.patch
    + fix-BaseDirectory-empty-vars.patch
    + fix-README.patch
    + fix-string-exceptions.patch
  * Patches updated:
    + gettext-support.patch
  * debian/watch:
    + Updated for 0.20 tarball location.
  * debian/compat:
    + Bump to 9.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 03 Jul 2012 19:43:00 -0400

pyxdg (0.19-3ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:13:10 +0000

pyxdg (0.19-3ubuntu1) oneiric; urgency=low

  * switch to dh_python2 (LP: #788514)
  * Merge from debian unstable.  Remaining changes:
  * debian/patches/gettext-support.patch, debian/patches/series:
    - Support X-GNOME-Gettext-Domain and X-Ubuntu-Gettext-Domain fields in
      .desktop files, for dynamic translation support (corresponding to our
       glib change).

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 17 May 2011 02:20:57 +0100

pyxdg (0.19-3) unstable; urgency=low

  * Team upload.
  * Update fix-BaseDirectory-cornercase.patch to handle $XDG_*_DIRS variables
    (closes: #568757). Thanks to Thibaut Girka for the updated patch.
  * Bump standards version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 08 May 2011 19:34:06 +0200

pyxdg (0.19-2ubuntu1) maverick; urgency=low

  * Resync on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Jun 2010 12:17:12 +0200

pyxdg (0.19-1ubuntu1) maverick; urgency=low

  * Resync on Debian
  * debian/patches/gettext-support.patch, debian/patches/series:
    - Support X-GNOME-Gettext-Domain and X-Ubuntu-Gettext-Domain fields in 
      .desktop files, for dynamic translation support (corresponding to our 
       glib change).

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 May 2010 16:12:51 +0200

=== debian/control ===
Source: pyxdg
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Lewandowski <piotr.lewandowski@gmail.com>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyxdg/trunk/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyxdg/trunk/
Homepage: http://www.freedesktop.org/wiki/Software/pyxdg
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-xdg
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python 2 library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13
 .
 This is the Python 2 version.

Package: python3-xdg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13 
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

# The tests are not runnable during package build.
# ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# test-python%:
# 	python$* setup.py test -vv

# override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
# endif

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

# override_dh_installchangelogs:
#         dh_installchangelogs -k foo/NEWS.rst

# override_dh_installdocs:
#         python setup.py build_sphinx
#         dh_installdocs build/sphinx/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=3
http://people.freedesktop.org/~takluyver/pyxdg-([0-9.]+).tar.gz

## pyxdg 0.25

=== debian/changelog ===
pyxdg (0.25-4) unstable; urgency=high

  * Backport upstream patch that fixes the insecure use
    of /tmp in xdg.BaseDirectory.get_runtime_dir(strict=False)
    (Closes: #736247). Fixes CVE-2014-1624.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 27 Jan 2014 13:11:18 -0500

pyxdg (0.25-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Andrew Starr-Bochicchio ]
  * Upload to unstable.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 29 Jun 2013 12:27:38 -0400

pyxdg (0.25-2) experimental; urgency=low

  * Team upload.

  [ Thomas Kluyver ]
  * Don't use nosetests-x.y scripts for tests.

  [ Dmitry Shachnev ]
  * Unify patches naming (use .patch extension, and dashes in file name).
  * Merge from Ubuntu:
    + debian/patches/gettext-support.patch: support Gettext-Domain fields.
    + debian/patches/prefer-first-glob-for-finding-mimetype.patch:
      Cherry-pick from upstream to fix test failure with *.png files; when
      there are multiple globs with the same pattern (as introduced in the
      latest shared-mime-info update), the last one was preferred. It should
      have been the first. [Thanks to Thomas Kluyver and Iain Lane]
  * Refresh debian/patches/set-default-menu.patch.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * debian/patches/gettext-support.patch: also disable the test that could
    fail when gedit is installed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 08 Mar 2013 22:44:35 +0400

pyxdg (0.25-1) experimental; urgency=low

  [ Thomas Kluyver ]
  * New upstream version
    + Add support for $XDG_RUNTIME_DIR (closes: #656338)
    + Allow desktop entry files that are not UTF-8 encoded (closes: 693855)
  * Fix Vcs-Svn entry in debian/control

  [ Josselin Mouette ]
  * Remove dependency on menu-xdg. It does not make any sense and forces 
    its installation on systems that don’t need it. Closes: #675456.

 -- Thomas Kluyver <thomas@kluyver.me.uk>  Thu, 06 Dec 2012 22:33:23 +0000

pyxdg (0.24-2) experimental; urgency=low

  * debian/tests/upstream: Send nose output to stdout instead of stderr; the
    latter means a test failure (closes: #694517).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Nov 2012 06:23:17 +0100

pyxdg (0.24-1) experimental; urgency=low

  * New upstream version
    + Python 3 support (closes: #591017)
    + Test suite
  * Convert packaging to use dh_python2 (closes: #637154)

 -- Thomas Kluyver <thomas@kluyver.me.uk>  Tue, 06 Nov 2012 10:52:16 +0000

pyxdg (0.19-4) unstable; urgency=low

  * Team upload
  * Set debian-menu.menu as a fallback menu to be parsed when the default
    (applications.menu) doesn't exist to avoid ParsingErrors (Closes: #654978)
    + Added menu-xdg as a Depends
  * Bump standards version to 3.9.3 (no changes needed)

 -- Ryan Kavanagh <rak@debian.org>  Fri, 09 Mar 2012 07:12:58 -0500

=== debian/control ===
Source: pyxdg
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Lewandowski <piotr.lewandowski@gmail.com>,
           Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python3-all,
               python-nose,
               python3-nose,
               shared-mime-info,
               hicolor-icon-theme
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyxdg/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyxdg/trunk/
Homepage: http://www.freedesktop.org/wiki/Software/pyxdg

Package: python-xdg
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python 2 library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13
 .
 This package contains the Python 2 version of the library.

Package: python3-xdg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python2%:
	python$* /usr/bin/nosetests -v

test-python3%:
	python$* /usr/bin/nosetests3 -v

override_dh_auto_test: $(PYTHON2:%=test-python2%) $(PYTHON3:%=test-python3%)
endif

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/p/pyxdg/pyxdg-(.*)\.tar\.gz

## pyxdg 0.26

=== debian/changelog ===
pyxdg (0.26-3.0antix1) unstable; urgency=medium

  * Upstream upload to fix duplicate menus 

 -- anticapitalista <antix@operamail.com>  Fri, 04 Dec 2020 13:29:20 +0200

pyxdg (0.26-3) unstable; urgency=medium

  * Team upload.
  * d/tests: remove python2 test support (Closes: #958533, #938305).
    - d/tests/upstream: Use py3versions -s to support all python3 versions.
    - d/tests/control: Add python3-all dependency.
  * d/control: Bump Standards-Version to 4.5.0.
  * d/gbp.conf: Set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 23 Apr 2020 17:30:52 -0400

pyxdg (0.26-2) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Drop Piotr Lewandowski from uploaders at his request to mia@.

  [ Andrew Starr-Bochicchio ]
  * Drop Python 2 package (Closes: #938305).
  * python-desktop-file.patch: Allow test to pass on a
    system without the python binary in PATH.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 27 Mar 2020 10:36:03 -0400

pyxdg (0.26-1) unstable; urgency=medium

  * Team upload.

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
   - Add support for Scale and ScaledDirectories keys (Closes: #877202).
   - DesktopEntry: New method findTryExec() (Closes: #618514).
  * Drop patches applied upstream: fix-DesktopEntry-docstring.patch
    prefer-first-glob-for-finding-mimetype.patch, and
    fix-insecure-use-of-tmp.patch.
  * Build using pybuild.

  [ Simon McVittie ]
  * Drop additional patches applied upstream:
    d/p/Allow-Scale-in-icon-theme-per-directory-sections.patch,
    d/p/Allow-ScaledDirectories-key-in-icon-theme-file.patch

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Drew Parsons ]
  * take test/example from the upstream git repository at
    https://gitlab.freedesktop.org/xdg/pyxdg.
    Provide in debian/test-examples.tar.xz. It is not provided in the
    upstream tarball at https://pypi.org/project/pyxdg/
  * debian patch test_mime_skip_symlink.patch skips symlink tests
    (symlinks are not preserved by pybuild)
  * build with PYBUILD_NAME=xdg not pyxdg (the module name is xdg)
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Dec 2019 12:48:02 +0800

pyxdg (0.25-5) unstable; urgency=medium

  * Team upload

  [ SVN-Git Migration ]
  * Update Vcs fields for git migration

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespace
  * d/control: Remove XS-Testsuite field, not needed anymore
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Simon McVittie ]
  * Add patches from upstream to support Scale, ScaledDirectories in
    icon themes. Thanks to Steve Langasek for forwarding this change
    from Ubuntu. (Closes: #877202) (LP: #1766793)
  * Enable autopkgtest-pkg-python tests

  [ Chris Lamb ]
  * d/tests/control: Remove trailing whitespace

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Feb 2019 11:42:37 +0000

=== debian/control ===
Source: pyxdg
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-nose,
               shared-mime-info,
               hicolor-icon-theme
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyxdg
Vcs-Git: https://salsa.debian.org/python-team/modules/pyxdg.git
Homepage: http://www.freedesktop.org/wiki/Software/pyxdg
Testsuite: autopkgtest-pkg-python

Package: python3-xdg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1
export PYBUILD_NAME=xdg

%:
	dh $@ --with python3  --buildsystem=pybuild

override_dh_auto_configure:
	tar xJf debian/test-example.tar.xz
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	rm -rf test/example

=== debian/tests/control ===
Tests: upstream
Depends: @, python3-nose, shared-mime-info, hicolor-icon-theme, python3-all

## pyxdg 0.27

=== debian/changelog ===
pyxdg (0.27-2) unstable; urgency=medium

  * Add the missing build dependency on setuptools.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 13 Jan 2021 12:13:36 +0100

pyxdg (0.27-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release (Closes: #949738, #964609).
  * Refresh patches and drop a patch applied upstream.
  * Provide the actual module name.
  * Add a compatibility layer for the alternative
    xdg package.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Håvard Flaget Aasen ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 12 Jan 2021 15:17:29 +0100

=== debian/control ===
Source: pyxdg
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-nose,
               python3-setuptools,
               shared-mime-info,
               hicolor-icon-theme
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyxdg
Vcs-Git: https://salsa.debian.org/python-team/packages/pyxdg.git
Homepage: https://www.freedesktop.org/wiki/Software/pyxdg
Testsuite: autopkgtest-pkg-python

Package: python3-xdg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: python3-pyxdg
Description: Python 3 library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0-draft1
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13
 .
 This package contains the Python 3 version of the library.

## pyxdg 0.28

=== debian/changelog ===
pyxdg (0.28-2) unstable; urgency=medium

  * Team upload
  * Rebuild patch queue from patch-queue
    Added patch:
    test-Use-importlib-instead-of-imp.patch
  * d/README.source: Update data to reflect current state
  * d/u/metadata: Use https URI for Documentation URL
  * d/control: Point to VCS URL on gitlab.freedesktop.org

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Dec 2022 07:16:54 +0100

pyxdg (0.28-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add more basic default configuration
  * d/watch: Switch to version 4 and git mode on Gitlab
  * New upstream version 0.28
    (Closes: #1018050)
  * Rebuild patch queue from patch-queue branch
    Renamed patches (no modifications):
    add-an-xdg-5-compatibility-layer.patch
     -> debian/patches/Add-an-xdg-5-compatibility-layer.patch
    test_mime_skip_symlink.patch
     -> debian/patches/test-Skip-mimetype-symlink-tests.patch
  * d/copyright: Move to DEP 5 content
  * d/control: Run wrap-and-sort
    Just reorder the content, no modifications.
  * d/control: Update build dependencies
    Move over to dh-sequencer-python3 and pybuild-plugin-pyproject, drop
    python3-nose in favor of python3-pytest.
    (Closes: #1018602)
  * d/rules: Don't use tests from the debian folder any more
  * Remove file debian/test-example.tar.xz
  * d/install: renamed to d/python3-xdg.install
  * Salsa CI: Disable unneeded runners
  * d/control: Small update of package description
  * python-pyxdg-doc: Add new binary package
  * d/control: Set Rules-Requires-Root: no
  * autopkgtest: Rework setup to drop dep on nose
  * d/u/metadata: Add field Documentation

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Dec 2022 10:07:00 +0100

pyxdg (0.27-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:30:06 +0100

=== debian/control ===
Source: pyxdg
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrew Starr-Bochicchio <asb@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 hicolor-icon-theme,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 shared-mime-info <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyxdg
Vcs-Git: https://salsa.debian.org/python-team/packages/pyxdg.git
Homepage: https://gitlab.freedesktop.org/xdg/pyxdg
Testsuite: autopkgtest-pkg-python

Package: python-pyxdg-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python 3 library to access freedesktop.org standards (Documentation)
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13
 .
 This package contains the documentation.

Package: python3-xdg
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-pyxdg,
Suggests:
 python-pyxdg-doc,
Description: Python 3 library to access freedesktop.org standards
 PyXDG contains implementations of freedesktop.org standards in Python:
 .
  * Base Directory Specification Version 0.6
  * Menu Specification Version 1.0
  * Desktop Entry Specification Version 1.0
  * Icon Theme Specification Version 0.8
  * Recent File Spec 0.2
  * Shared-MIME-Database Specification 0.13
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=xdg

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-pyxdg-doc/usr/share/doc/python-pyxdg-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: upstream
Depends:
 hicolor-icon-theme,
 python3-all,
 python3-pytest,
 shared-mime-info,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://gitlab.freedesktop.org/xdg/pyxdg.git \
      refs/tags/rel-@ANY_VERSION@
